Subject: Amiga Hires Code - Timing

From: [email-masked]
Date: Sat, 26 Oct 91 09:32 MDT

For those of you who have asked, the timing in my Amiga hi-res code
was determined by trial-and-error one Saturday morning.  It started
working on my A500, and it worked on a friend's A2000.  It doesn't
work as-is on my A3000 simply due to the timing loops not being right.

I get some flakey behavior on my setup too.  About half the time I run
it, I get all FF's or various bit patterns that don't correspond to the
glove protocol.  Stopping it and re-running it usually causes the glove
to beep and then it starts working.

The correct way to get the Amiga code to work would be to do the kind
of timing calibration done in one of the PC versions posted this week.
I was working on a similar calibration last weekend when trying to get
the glove to work on my A3000.  I wasn't having much success, and now that
the PC code is available, maybe I'll get time to port it instead.  The
postscript timing diagrams that appeared on the list should help too.

If anyone else has done any Amiga code for the glove, even lo-res, I'd
appreciate seeing it.